# Generated by Django 5.0.2 on 2024-02-20 18:29

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TaskManager',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('current_page', models.IntegerField(blank=True, default=0, null=True)),
                ('total_pages', models.IntegerField(blank=True, default=1, null=True)),
                ('attempts', models.IntegerField(default=1)),
                ('task_module', models.CharField(max_length=200)),
                ('task_name', models.CharField(max_length=200)),
                ('reverse_module', models.CharField(blank=True, max_length=200, null=True)),
                ('reverse_name', models.CharField(blank=True, max_length=200, null=True)),
                ('exception_module', models.CharField(blank=True, max_length=200, null=True)),
                ('exception_name', models.CharField(blank=True, max_length=200, null=True)),
                ('arguments', models.JSONField(blank=True, default=dict, null=True)),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('DONE', 'Done'), ('CANCELLED', 'Cancelled'), ('REVERSED', 'Reversed'), ('PAUSED', 'Paused'), ('ABORTED', 'Aborted'), ('ERROR', 'Error'), ('SCHEDULED', 'Scheduled')], default='PENDING', max_length=20)),
                ('status_message', models.TextField(blank=True, max_length=255, null=True)),
                ('task_id', models.CharField(blank=True, default='', max_length=36)),
                ('killed', models.BooleanField(default=False)),
                ('last_run', models.DateTimeField()),
                ('started_at', models.DateTimeField(blank=True, default=None, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='TaskWatcher',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('on_error', models.BooleanField(default=True)),
                ('on_success', models.BooleanField(default=True)),
                ('watch_progress', models.BooleanField(default=False)),
                ('tasks', models.ManyToManyField(blank=True, help_text='Notify for the progress of these tasks', related_name='watchers', to='task_manager.taskmanager')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
